<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>com.house365</groupId>
	<artifactId>house365-hgs-beans</artifactId>
	<packaging>jar</packaging>
	<version>1.0.0-SNAPSHOT</version>
	<name>house365-hgs-beans</name>
	<url>http://maven.apache.org</url>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<house365.version>1.0.0-SNAPSHOT</house365.version>
        <jdk.version>1.8</jdk.version>
	</properties>

	<repositories>
		<repository>
			<id>public</id>
			<name>public</name>
			<url>http://192.168.108.60/nexus/repository/public/</url>
		</repository>
	</repositories>
	<pluginRepositories>
		<pluginRepository>
			<id>public</id>
			<name>public</name>
			<url>http://192.168.108.60/nexus/repository/public/</url>
		</pluginRepository>
	</pluginRepositories>
	<distributionManagement>
		<snapshotRepository>
			<id>snapshots</id>
			<name>Snapshots</name>
			<url>http://192.168.108.60/nexus/repository/snapshots/</url>
		</snapshotRepository>
		<repository>
			<id>releases</id>
			<name>Releases</name>
			<url>http://192.168.108.60/nexus/repository/releases/</url>
		</repository>
	</distributionManagement>
	<dependencies>
		<!-- validator begin -->
		<dependency>
			<groupId>org.hibernate</groupId>
			<artifactId>hibernate-validator</artifactId>
			<version>5.1.3.Final</version>
		</dependency>
		<!-- validator end -->

		<!-- house365 begin -->
		<dependency>
			<groupId>com.house365</groupId>
			<artifactId>house365-framework</artifactId>
			<version>${house365.version}</version>
		</dependency>
		<!-- house365 end -->
	</dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.2</version>
                <configuration>
                    <source>${jdk.version}</source>
                    <target>${jdk.version}</target>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>
